/* 通用設定檔 */
@media only screen and (min-width: 1200px) {
    .page-wrap .main-block {
        max-width: 1280px;
    }

    .modal-xl {
        max-width: 940px;
    }

    .swiper-container:not(.banner) .swiper-slide img {
        width: 85%;
    }
}

@media only screen and (min-width: 992px) {
    .modal-lg {
        max-width: 623px;
    }
}

@media only screen and (min-width: 577px) {
    #awardslider1 .swiper-button-next {
        display: none;
    }

    #awardslider2 .swiper-button-prev {
        display: none;
    }
}




/* 超大寬度（高解析度顯示器）： */
@media only screen and (min-width: 2400px) {
    .page-wrap>.banner {
        margin-top: 2vw
    }

    img {
        width: 5vw;
    }

    #SupportingRole {
        width: 40vw;
        top: 2vw;
        left: -2vw;
    }

    .main-left-charges picture img {
        width: 15vw;
        max-width: 15vw;
    }

    .page-wrap .main-block {
        max-width: 70%;
        padding-bottom: 9%;
    }

    .banner .container {
        max-width: 25%;
    }

    .banner img {
        width: 100%;
    }

    .swiper-container:not(.banner) .swiper-slide img {
        width: 85%;
    }

    .btn {
        font-size: 1vw;
    }

    .btn-minor {
        width: 8vw;
        background-size: cover;
    }

    button.close img {
        width: 1vw;
    }

    select.form-control:focus,
    select.form-control:active,
    select.form-control {
        width: 4vw;
        font-size: 1vw;
    }

    .table-set {
        max-width: 100%;
    }

    .table-set thead {
        font-size: 1vw;
        background-size: cover;
    }

    .table-show {
        font-size: 1vw;
    }

    .container {
        max-width: 70%;
    }

    .web .container {
        max-width: 70%;
        width: 55%;
    }

    .main-header {
        height: 3vw;
    }

    .header-menu {
        width: 6vw;
        height: 3vw;
        background-size: contain;
    }

    .web a[href].active,
    .web a[href]:hover,
    .web a[href] {
        background-size: contain;
    }

    .web a[firstBuyBonus="off"]::after {
        width: 8vw;
        top: 2vw;
        height: 3vw;
        left: 0;
    }

    .web a[firstBuyBonus="on"]::after {
        left: -4vw;
        width: 5vw;
        height: 5vw;
        top: -1vw;
    }


    .main-left-charges picture:nth-child(1)[firstBuyBonus="off"]::after,
    .main-left-charges picture:nth-child(1)[firstBuyBonus="on"]::after {
        top: -2.75vw;
        width: 5vw;
        height: 5vw;
    }

    .main-block-left {
        max-width: 15vw;
        bottom: 8.25vw;
    }

    .main-block .main-left-charges.login {
        width: 10vw;
        bottom: 11vw;
    }

    .main-block .main-left-charges {
        width: 10vw;
        bottom: 12vw;
    }

    .main-left-charges>picture>img {
        width: 15vw;
        max-width: unset;
    }

    #PlayBtn {
        top: -11.75vw;
        left: -7vw;
    }

    #playBtn img {
        width: 15vw;
    }

    .fixed-function-block img {
        width: 2.5vw;
    }

    .main-block-right {
        height: 9.25vw;
        width: 15vw;
        right: 1vw;
        bottom: 1.75vw;
    }

    .main-block-right img {
        width: 7vw;
    }

    .fixed-function-block {
        bottom: 8.75vw;
        right: 5vw;
        height: 1vw;
        width: 4vw;
    }

    #BackTop {
        top: -1.25vw;
        left: -5vw;
    }

    .main-block-left .login-status>button {
        width: 10vw;
    }

    .login-success-wrap .login-success-info img {
        width: 2.5vw;
    }

    .login-success-wrap .info {
        font-size: 0.75vw;
    }

    img.avatar {
        height: 2.5vw;
    }

    .login-success-logout-btn {
        width: 50%;
        background-size: cover;
    }

    .form-control {
        font-size: 1vw;
        max-width: 100%;
    }


    .swiper-button-prev:after {
        border: 1vw solid;
        border-color: transparent #FFBCFB transparent transparent;
    }

    .swiper-button-next:after {
        border: 1vw solid;
        border-color: transparent transparent transparent #FFBCFB;

    }

    .swiper-award-title {
        background-size: cover;
        background-position: center;
    }

    .main-game-swiper p,
    .modal-title span,
    .swiper-award-title,
    .swiper-award-info,
    .main-menu li {
        font-size: 1vw;
    }

    .main-menu li.active::after,
    .main-menu li:hover::after {
        width: 2vw;
    }

    .modal-lg {
        max-width: 25%;
    }

    .modal-xl {
        max-width: 50%;
    }

    .modal-title:not(#newsModalLabel) {
        font-size: 1vw;
        margin: 0.5vw;
    }



    .modal-title span {
        font-size: 1vw;
    }

    .modal-content button[id*="login"] img {
        width: 100%;
    }

    .modal-content button:not(.close) {
        width: 6vw;
        background-size: cover;
    }

    .modal-content button[id*="login"] {
        width: 75%;
    }

    #AlertModal .modal-body {
        font-size: 0.75vw;
    }

    .footer-tip {
        width: 55%;
        font-size: 0.75vw;
        line-height: normal;
    }

    .footer-tip picture img {
        width: 10vw;
    }

    .footer-tip .limitPic {
        width: 5%;
        top: 20%;
        right: 18%;
    }

    .extrabtn {
        top: 35vw;
    }
}

/* 大寬度（桌面顯示器）： */
@media only screen and (min-width: 1680px) and (max-height: 993px) {


    .fixed-function-block {
        bottom: 155px;
    }

    .main-block-right {
        bottom: 40px;
    }

    .main-left-charges {
        left: 104px;
        bottom: 225px;
    }

    .main-left-charges picture:nth-child(1)[firstBuyBonus]::after {
        top: -7px;
        left: -87px;
    }

    #playBtn {
        top: -204px;
        left: -190px;
    }
}

@media only screen and (min-width: 1680px) and (max-height: 840px) {
    .main-left-charges {
        left: 46px;
    }

    .main-left-charges picture:nth-child(1)[firstBuyBonus]::after {
        top: -38px;
        left: -25px;
    }

    #playBtn {
        left: -186px;
        top: -166px;
    }
}



@media only screen and (max-width: 1679.98px) {

    #SupportingRole {
        width: 36vw;
        /* left: -6vw; */
        /* top: 10vw; */
    }

    /* #spokesperson-wrapper:before {
        content: '';
        position: absolute;
        transform: translateX(-50%);
        top: 50%;
        left: 50%;
        width: 891;
        z-index: -1;
        height: 381;
        background: url(/img/common/IMG_HOT168_logoSpecil.webp) top center no-repeat;
        background-size: cover;
    } */

    .main-left-charges picture img {
        max-width: 14vw;
    }

    .main-block-left {
        max-width: 15vw;
        left: 2vw;
    }

    .swiper-container.awardslider .swiper-slide img {
        width: 100%;
    }

    .fixed-function-block>a>img {
        max-width: 14vw;
    }

    #BackTop img,
    #playBtn img {
        width: 100%;
    }

    .main-left-charges {
        left: 2vw;
    }

    .main-left-charges picture:nth-child(1)[firstBuyBonus]::after {
        width: 9vw;
        height: 9vw;
        left: -24px;
        top: -5.75vw
    }

    .main-block-right .main-block-left-icon img {
        width: 6vw;
    }

    .main-block-right img {
        width: 9vw;
    }

    .main-block-right {
        display: flex;
        height: 160px;
        width: 270px;
    }

    .fixed-function-block {
        /* bottom: 9.7vw; */
        bottom: 177px;
        right: 24px;
    }

    #BackTop {
        top: 1vw;
        left: calc(-50px - 1vw);
    }
}

@media only screen and (max-width: 1679.98px) and (max-height: 993px) {
    #PlayBtn {
        top: -8.5vw;
        left: -101px;
    }

    .main-left-charges {
        bottom: 225px;
    }
}

@media only screen and (max-width: 1679.98px) and (max-height: 840px) {
    .main-left-charges picture:nth-child(1)[firstBuyBonus]::after {
        top: -95px;
        left: 0;
    }



    #PlayBtn {
        top: -133px;
    }

    .main-block-right {
        bottom: calc(77px - 1vw);
        height: 170;
        width: calc(245px + ((100vw - 1441px) * 0.13025));
    }

    .main-left-charges {
        left: 50px;
    }
}

@media only screen and (min-width: 1200px) and (max-height: 993px) {





    .main-block-left {
        bottom: 110px;
    }



    .main-block-left.login {
        bottom: 10px;
    }
}

@media only screen and (min-width: 1200px) and (max-height: 840px) {
    .main-left-charges picture {
        width: 80%;
    }


    .download-icon {
        display: flex;
        flex-wrap: wrap;
    }

    .banner .container img {
        width: 28%;
    }


    .main-block-left {
        max-width: 220px;
    }

    .main-block-left.login {
        bottom: 62px;
        left: 115px;
        left: 26px;
    }

    .login-success-wrap .login-success-info {
        margin: auto;
    }

    .login-success-wrap .info {
        font-size: 90%;
    }

    .login-success-info img {
        height: 30px;
    }

    .btn {
        padding: 0px;
    }

    .main-block-left-qrcode .main-block-left-icon {
        margin: auto 0.25rem;
    }

    .login>a:first-child img {
        margin: 0.25rem auto;
    }

    .login-success-wrap {
        margin: 0 0 5px;
    }



    .main-block-left-qrcode>a:first-child img {
        margin: 0.25rem auto;
    }

    .main-block-left-qrcode img {
        width: 100px;
        margin: 0.5rem auto;
    }


    #playBtn img {
        width: 80%;
        max-width: 18vw;
    }

    .fixed-function-block a:not(:first-child) img:nth-child(1) {
        display: inline-block;
    }

    .fixed-function-block a:not(:first-child) img:nth-child(2) {
        display: none;
    }

}

@media only screen and (max-width: 1440px) {
    /* #SupportingRole {
        transform: translateY(2vw);
    } */

    .page-wrap .main-block {
        max-width: 80vw;
        padding-bottom: 300px;
    }

    #BackTop {
        left: calc(-100px + 2.5vw);
        top: 1.5vw;
    }

    .main-block-right {
        transform: translateX(-10px);
        transition: 0.5s;
        right: 0px;
        height: 150px;
        width: 240px;
    }

    .fixed-function-block {
        transform: translateX(-20px);
        transition: 0.5s;
        right: -10px;
        width: 11vw;
        bottom: calc(140px + 2vw);
    }

    .fixed-function-block>a>img {
        width: 3.25vw;
    }

    .fixed-function-block.active label {
        transform: translateX(-9px);
    }

    #PlayBtn {
        top: -9vw;
    }

    .footer-tip {
        width: calc(80vw - 17.75%);
        flex-wrap: wrap;
        flex-direction: column-reverse;
    }

    .footer-img {
        text-align: center;
    }

    .footer-tip .limitPic {
        width: auto;
        height: auto;
        height: fit-content;
        margin: auto 8vw auto 1rem;
        position: unset;
    }
}

@media only screen and (max-width: 1440px) and (max-height: 840px) {
    .main-block-right {
        bottom: 58px;
        width: calc(175px + 4vw);
        height: 11vw;
    }

    .fixed-function-block {
        bottom: 11.25vw;
    }

    #PlayBtn {
        top: -136px;
    }

    .main-block-right img {
        width: 8.25vw;
    }

    .main-left-charges picture:nth-child(1)[firstBuyBonus]::after {
        top: -5.75vw;
    }


}


@media only screen and (max-width: 1200px) {
    .fixed-function-block>a>img {
        width: 3.25vw;
    }

    .fixed-function-block {
        bottom: calc(15vw + 10px);
    }

    .main-block-right {
        height: 12vw;
        bottom: 95px;
        width: 200px;
    }

    #BackTop {
        top: 0.75VW;
        left: -4vw;
    }

    .login-success-wrap .info {
        font-size: 0.8rem;
    }

    #PlayBtn {
        top: calc(-139px + 2.5vw);
        left: -70px;
    }

    .extrabtn {
        width: 140px;
        top: 40rem;
        right: 4rem;
    }

    .swiper-container:not(.banner) .swiper-slide img {
        width: 90%;
    }

    .footer-tip .limitPic {
        margin: auto 9.75vw auto 0.75rem;
    }
}

@media only screen and (max-width: 1200px) and (max-height: 993px) {
    .main-left-charges {
        bottom: 245px;
    }
}

@media only screen and (max-width: 1200px) and (max-height: 840px) {
    #PlayBtn {
        top: calc(-115px - 1vw);
        left: -81px;
    }

    .main-block-right {
        bottom: 100px;
        width: 190px;
    }

    .main-left-charges {
        left: 2vw;
        bottom: calc(255px + ((100vw - 1025px) * 0.07429));
    }
}

@media only screen and (max-width: 1024px) {

    .page-wrap>.banner {
        padding-top: 30px;
        width: 100%;
        text-align: center;
        padding-bottom: 20px;
    }

    .mobile .info {
        display: flex;
        justify-content: space-evenly;
        width: 35%;
    }

    #spokesperson-wrapper img {
        position: absolute;
    }

    #spokesperson-wrapper #fei {
        top: 24.25VW;
        width: 8vw;
    }

    #SupportingRole {
        top: 97px;
        left: -143px;
        width: 53vw;
    }

    /* #Cheerleading_Sign {
        top: 23vw;
    } */

    .mobile .info:nth-of-type(1)>div {
        margin: auto;
    }

    .main-header.mobile {
        display: block;
        height: 60px;
        color: #ffffff;
    }

    .mobile-login-icon {
        background: url("/img/mobile/MB_UI_HOT168_login.png");
        display: inline-block;
        width: 172px;
        height: 50px;
        margin-top: 0.5rem;
        background-size: contain;
    }

    .mobile .container {
        height: 80px;
        text-align: center;
    }



    .mobile-ham-icon {
        position: absolute;
        border-radius: 5px;
        top: 0;
        bottom: 0;
        margin: auto;
        right: 5.5vw;
        width: 3rem;
        height: 10px;
        display: block;
        background: #7538ae;
    }

    .mobile-ham-icon:before,
    .mobile-ham-icon:after {
        content: "";
        position: absolute;
        width: 3rem;
        height: 10px;
        right: 0px;
        transition: all 0.2s ease-out;
        background: #7538ae;
        border-radius: 5px;
    }

    .mobile-ham-icon:before {
        top: -15px;

    }

    .mobile-ham-icon:after {
        top: 15px;
    }

    .mobile-ham-icon.show {
        background: transparent;
        border: none;
    }

    .mobile-ham-icon.show:before,
    .mobile-ham-icon.show:after {
        top: 0;
    }

    .mobile-ham-icon.show:before {
        transform: rotate(45deg);
    }

    .mobile-ham-icon.show:after {
        transform: rotate(-45deg);
    }

    .mobile-drop-main-block.show {
        height: 100vh;
        display: block;
    }

    .mobile-drop-main-block>a {
        color: #ffffff;
        display: block;
        text-align: center;
        font-size: 30px;
        margin: 1.5rem;
        font-weight: 900;
    }

    .mobile-drop-main-block>a.active span,
    .mobile-drop-main-block>a.active {
        background: linear-gradient(#ffff00, #ffb400, #ffff00);
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
    }

    .web a[firstBuyBonus="off"]::after {
        display: none;
    }

    .main-block-center {
        margin: 0;
        padding: 0;
    }

    .banner .container img {
        width: 60%;
    }


    .main-left-charges {
        position: unset;
        display: flex;
        z-index: 100;
        justify-content: center;
    }


    .main-left-charges a:nth-child(1) {
        margin-top: 2rem;
    }

    .main-left-charges picture:nth-child(1) {
        display: inline-block;
        margin: auto;
        width: auto;
        position: relative;
    }


    .main-left-charges picture {
        width: 75%;
        margin-left: 0.5rem;
    }

    .main-left-charges .mobile-playbtn {
        display: inline-block;
    }

    .main-block-left {
        position: unset;
        border: 0px;
        margin-top: 1rem;
        transform: none;
        padding: 0px 0.5rem;
        max-width: 100%;
        z-index: 1;
    }

    .login-status {
        display: none;
    }

    .login>a:first-child img {
        width: 80px;
        margin: 0.5rem auto;
    }

    .login img {
        width: 90;
    }

    .swiper-container .swiper-slide img {
        width: 85%;
    }

    .swiper-award-info div {
        width: 100%;
        text-align: start;
    }

    .page-wrap .main-block {
        grid-template-columns: minmax(100px, auto);
        grid-template-rows: auto;
        grid-template-areas:
            "charge"
            "main"
            "menu-r";
        max-width: 100%;
        padding-bottom: 200px;
    }

    #PlayBtn {
        display: none;
    }

    #BackTop {
        top: -9px;
        left: -100px;
    }

    .main-block-right {
        transform: translateX(332px);
        grid-area: menu-r;
        bottom: 70px;
        height: 185px;
        width: 330px;

    }

    .main-block-right.active {
        transform: translateX(-10px);
    }

    .main-block-right img {
        width: auto;
    }

    .main-block-right .main-block-left-icon img {
        width: auto;
    }

    .fixed-function-block {
        transform: translateX(296px);
        bottom: 185px;
        right: 0px;
        width: 160px;
    }

    .fixed-function-block.active {
        transform: translateX(-20px);
    }

    .fixed-function-block label {
        width: 24px;
        height: 80px;
        background: linear-gradient(180deg, #42016f 0%, #600899 2%, #240042 89%, #390042 100%);
        color: #686666;
        position: absolute;
        right: 297px;
        top: 0;
        bottom: 0;
        margin: auto;
        line-height: 80px;
        text-align: center;
        border-radius: 5px 0 0 5px;
        z-index: 9999;
        box-shadow: -5px 0 5px rgb(23 23 54 / 60%);
        transform: translateX(0px);
    }

    .fixed-function-block.active label {
        transform: translateX(-23px);
    }



    .fixed-function-block i::after {
        position: absolute;
        width: 1px;
        bottom: 40px;
        right: 5px;
        content: '';
        display: inline-block;
        width: 10px;
        height: 10px;
        border-left: 3px solid #b336ff;
        border-bottom: 3px solid #b336ff;
        transform: rotate(225deg);
    }

    .fixed-function-block.active i::after {
        transform: rotate(45deg);
        border-left: 3px solid #FFFFFF;
        border-bottom: 3px solid #FFFFFF;
    }

    .fixed-function-block i::after {
        transform: rotate(45deg);
    }

    .fixed-function-block.active i::after {
        transform: rotate(225deg);
    }

    .fixed-function-block>a>img {
        width: auto;
    }

    .main-left-charges picture:nth-child(1)[firstBuyBonus]::after {
        width: 150px;
        height: 150px;
        top: -85px;
        left: -28px;
    }

    .main-left-charges picture img {
        max-width: 100%;
    }

    .footer-tip {
        padding-left: 1rem;
    }

    .footer-tip {
        width: 100%;
        flex-direction: unset;
        flex-wrap: nowrap;
    }

    .footer-tip .limitPic {
        width: 57px;
        height: 57px;
        position: absolute;
        margin: unset;
        right: 1rem;
    }
}



/* 最小寬度（較小裝置）： */
@media only screen and (max-width: 991.98px) {
    body.active {
        overflow: hidden;
    }

    .page-wrap>.banner {
        padding-bottom: 0;
    }

    .banner .container img {
        width: 100%;
        transform: unset;
    }

    #spokesperson-wrapper {
        display: none;
    }

    .maintainFrame .logo {
        width: 30%;
    }

    .maintainFrame .txt {
        width: 60%;
    }


    .main-header.mobile {
        height: 80px;
    }

    .mobile-login-icon {
        margin-top: 1rem;
    }

    .page-wrap {
        background-attachment: fixed;
        background-size: cover;
    }

    .page-wrap .main-block {
        padding-bottom: 280px;
    }

    .main-left-charges picture:nth-child(1)[firstBuyBonus="on"]::after {
        content: '';
        width: 150px;
        height: 150px;
        background-image: url(/img/common/IMG_HOT168_firstBuyBonus_1.gif);
        background-size: 100%;
        display: block;
        position: absolute;
        top: -103px;
        left: -20px;
    }


    .mobile-login-status {
        display: none;
        justify-content: center;
    }

    .mobile-login-status>img {
        margin: auto 0;
    }

    .mobile .info {
        margin: auto 2rem;
        text-align: left;
        display: block;
    }

    .mobile .info img {
        width: 40px;
    }

    .extrabtn {
        width: 90px;
        top: 24.25rem;
        right: 2rem;
        font-size: 18;
    }

    .footer-tip {
        flex-wrap: wrap;
        flex-direction: column-reverse;
    }


    .footer-tip .limitPic {
        width: auto;
        height: auto;
        margin: auto 13.75vw auto 1rem;
        position: unset;
    }

}

@media only screen and (max-width: 768px) {
    .page-wrap>.banner {
        padding-top: 60px;
        padding-bottom: 40px;
        overflow: hidden;
    }

    .main-block-center {
        padding: 0px 0.5rem;
    }

    .banner .container img {
        width: 100%;
        transform: scale(1.2);
    }

    .main-left-charges picture img {
        width: 95%;
    }

    .main-block-left-qrcode {
        display: flex;
        justify-content: center;
    }

    .main-block-left-qrcode .main-block-left-icon {
        margin-bottom: auto;
        margin-top: auto;
    }

    .login>a:first-child img {
        width: auto;
    }

    .login .download-icon {
        display: block;
    }


    .footer-tip .limitPic {
        width: 71px;
        height: 71px;
        margin: auto 11.75vw auto 1vw;
    }
}



@media only screen and (max-width: 576px) {
    .main-block-right {
        transform: translateX(0px);
        position: unset;
        margin: 0.5rem;
        display: flex;
        width: calc(100% - 1rem);
        justify-content: center;
        height: auto;
    }

    .main-block-right.active {
        transform: translateX(0px);
    }

    .main-block-right>:nth-child(n) {
        width: 50%;
        margin: 0;
    }

    .main-block-right img {
        max-width: 100%;
        max-height: 100%;
    }

    .main-left-charges a:nth-child(1) {
        margin-top: 0.75rem;
    }

    .main-block-left-icon {
        text-align: end;
    }

    .main-block-left-icon img {
        margin: 0.5rem 1rem;
    }

    .download-icon {
        margin-left: auto;
        display: flex;
        flex-wrap: wrap;
    }

    .download-icon a {
        display: block;
        margin: auto auto auto 0;
    }



    #BackTop {
        top: 0px;
        left: 11.5px;
    }

    .fixed-function-block {
        flex-wrap: wrap;
        height: 220px;
        width: 60;
        padding-top: 30px;
        transform: translateX(62px);
        background: linear-gradient(rgba(28, 0, 52, 0.7), rgba(71, 0, 116, 0.7));
        border: 0.5px solid #FFEA00;
        border-radius: 5px;
    }

    .fixed-function-block label {
        right: 61px;
    }

    .fixed-function-block.active label {
        transform: translateX(2px);
    }

    .main-header.mobile {
        font-size: 14px;
    }

    .banner .container img {
        width: 100%;
        transform: scale(1.3);
    }


    .mobile-login-status {
        justify-content: unset;
    }

    .mobile .info {
        width: auto;
        margin: auto 5px;
    }

    .mobile-login-status>img {
        margin: auto .25rem;
    }

    #awardslider1 .swiper-button-next {
        display: flex;
    }

    .main-block .row {
        margin: 0;
    }

    .swiper-award-info {
        display: block;
    }

    #awardslider2 {
        display: none;
    }

    #awardslider1 {
        width: 100%;
    }

    #loginModal .modal-body img {
        width: 100%;
    }

    #loginModal .modal-footer {
        font-size: 1rem;
    }

    .page-wrap .main-block {
        padding-bottom: 0;
    }

    .page-wrap .footer {
        position: relative;
    }

    .index-main-container:not(#bulletins) .main-menu li {
        width: 33.333333%;
        margin: 0;
    }

    .main-menu {
        background: url(/img/mobile/MB_UI_HOT168_TOPBAR.png);
        flex-wrap: wrap;
        background-size: cover;
        margin: 0 1.5px;
    }

    .tab-wrap .pic {
        width: 50%;
        margin: 15px 0;
    }

    #gameinfoModal .modal-dialog {
        margin: 5rem 0.5rem;
    }

    #gameinfoModal .wrap {
        top: 0.87%;
        width: 91.20%;
        left: 4.7%;
    }

    .table-rwd {
        border: none;
    }

    .table-rwd thead {
        display: none;
    }

    .table-rwd tr {
        display: flex;
        flex-wrap: wrap;
        border: 1px solid #8600c9;
        border-radius: 5px;
        margin-bottom: 1rem;
    }

    .table-rwd td {
        display: block;
        width: 100%;
        border: none;
        text-align: left;
        padding: 0px;
    }

    .table-rwd td:only-child {
        display: table-cell;
        padding: 0.75rem;
    }

    .table-rwd td+td {
        border-top: 1px solid #8600c9;
    }

    .table-rwd td::before {
        content: attr(data-title);
        color: #b336ff;
        display: inline-block;
        width: 6.5rem;
        background: #490088;
        padding: 1rem;
        margin-right: 0.25rem;
        text-align: center;
    }

    td:only-child:before {
        padding: 0;
        content: '';
        width: 0;
    }

    .extrabtn {
        top: 75vw;
        right: 6vw;
    }
}

@media only screen and (max-width: 480px) {
    .extrabtn {
        top: 73vw;
        font-size: 16px;
        right: 6vw;
        width: 75px;
    }

    .page-wrap>.banner {
        padding-top: 50px;
        padding-bottom: 30px;
    }
}

@media only screen and (max-width: 375px) {
    .mobile-ham-icon {
        right: 2.5vw;
        width: 2.5rem;
    }

    .mobile-ham-icon:before,
    .mobile-ham-icon:after {
        width: 2.5rem;
    }

    .mobile .container {
        padding: 0;
    }

    .mobile .info .name {
        width: 100px;
        word-break: break-all;
    }

    .main-left-charges picture:nth-child(1)[firstBuyBonus]::after {
        left: -21px;
        width: 120;
        height: 120;
    }

    .extrabtn {
        width: 64px;
        top: 72vw;
        font-size: 14px;
    }
}


@media only screen and (max-width: 320px) {
    .main-block-left-qrcode .main-block-left-icon {
        margin: 0;
    }

    .download-icon {
        margin: auto 0;
    }

    .download-icon a {
        text-align: center;
    }

    .main-block-right img {
        width: 90%;
    }

    .main-block-left-icon img {
        margin: 0.5rem 0;
    }

    .btn {
        font-size: 16px;
    }

    .mobile .info {
        margin: auto 0.25rem;
    }

    .mobile .info .name {
        width: 60px;
    }

    .main-header.mobile {
        font-size: 12px;
    }

    #rankboard .table-set {
        font-size: 14px;
    }

    #block-list .table-set {
        font-size: 14px;
    }

    .extrabtn {
        font-size: 12px;
    }
}